Subject: Re: What's cooking in git.git (Feb 2025, #07; Mon, 24)

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Feb 2025 09:06:40 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Feb 24, 2025 at 06:47:23PM -0800, Junio C Hamano wrote:
>> * ps/meson-contrib-bits (2025-02-20) 10 commits
>>  - ci: exercise credential helpers
>>  - ci: fix propagating UTF-8 test locale in musl-based Meson job
>>  - meson: wire up static analysis via Coccinelle
>>  - meson: wire up git-contacts(1)
>>  - meson: wire up credential helpers
>>  - contrib/credential: fix compilation of "osxkeychain" helper
>>  - contrib/credential: fix compiling "libsecret" helper
>>  - contrib/credential: fix compilation of wincred helper with MSVC
>>  - contrib/credential: fix "netrc" tests with out-of-tree builds
>>  - GIT-BUILD-OPTIONS: propagate project's source directory
>> 
>>  Update meson-based build procedure to cover contrib/ and other
>>  places as well.
>> 
>>  Expecting a reroll.
>>  source: <[email-masked]>
>
> v2 of this patch series hasn't yet received any comments that require a
> reroll, unless I've missed something.

I misread the exchange between you and Ramsay; I am fine with the
decision to leave the sparse and the hdr-check outside this series,
for some future follow-up work.  Let me mark it for 'next'.

>> * ps/path-sans-the-repository (2025-02-24) 17 commits
>>  - fixup! rerere: let `rerere_path()` write paths into a caller-provided buffer
>>  - path: adjust last remaining users of `the_repository`
>>  - environment: move access to "core.sharedRepository" into repo settings
>>  - environment: move access to "core.hooksPath" into repo settings
>>  - repo-settings: introduce function to clear struct
>>  - path: drop `git_path()` in favor of `repo_git_path()`
>>  - rerere: let `rerere_path()` write paths into a caller-provided buffer
>>  - path: drop `git_common_path()` in favor of `repo_common_path()`
>>  - worktree: return allocated string from `get_worktree_git_dir()`
>>  - path: drop `git_path_buf()` in favor of `repo_git_path_replace()`
>>  - path: drop `git_pathdup()` in favor of `repo_git_path()`
>>  - path: drop unused `strbuf_git_path()` function
>>  - path: refactor `repo_submodule_path()` family of functions
>>  - submodule: refactor `submodule_to_gitdir()` to accept a repo
>>  - path: refactor `repo_worktree_path()` family of functions
>>  - path: refactor `repo_git_path()` family of functions
>>  - path: refactor `repo_common_path()` family of functions
>> 
>>  The path.[ch] API takes an explicit repository parameter passed
>>  throughout the callchain, instead of relying on the_repository
>>  singleton instance.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> The fixup commit looks good to me, so I'll refrain from sending a v3
> only to roll the fix into the series.

OK.  I read them over before saying "'next'?" and still missed what
Peff spotted, so I have no confidence in my reviews over these
patches, which is a bit of a problem for me.

Thanks.